<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'shopping',

    /*
     * Package.
     */
    'package'   => 'seller',

    /*
     * Modules.
     */
    'modules'   => ['seller', 
'category'],

    'seller'       => [
        'model' => [
            'model'                 => \Shopping\Seller\Models\Seller::class,
            'table'                 => 'sellers',
            'presenter'             => \Shopping\Seller\Repositories\Presenter\SellerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'email',  'password',  'api_token',  'remember_token',  'dob',  'designation',  'mobile',  'photo',  'status',  'deleted_at',  'slug',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'seller/seller',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Seller',
            'module'    => 'Seller',
        ],

    ],

    'category'       => [
        'model' => [
            'model'                 => \Shopping\Seller\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Shopping\Seller\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'parent_id',  'name',  'slug',  'status',  'tax',  'meta_title',  'meta_description',  'meta_keyword',  'image',  'order',  'title',  'description',  'upload_folder',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'seller/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Seller',
            'module'    => 'Category',
        ],

    ],
];
