Lavalite package that provides seller management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `shopping/seller`.

    "shopping/seller": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Shopping\Seller\Providers\SellerServiceProvider::class,

And also add it to alias

    'Seller'  => Shopping\Seller\Facades\Seller::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Shopping\\SellerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Shopping\Seller\Providers\SellerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Shopping\Seller\Providers\SellerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Shopping\Seller\Providers\SellerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/seller/{modulename}

**User**

    http://path-to-route-folder/user/seller/{modulename}

**Public**

    http://path-to-route-folder/sellers


### API endpoints

**List**

    http://path-to-route-folder/api/user/seller/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/seller/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/seller/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/seller/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/seller/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/seller/{modulename}/{slug}
    METHOD: GET