<?php

// web routes  for seller
Route::prefix('{guard}/seller')->group(function () {
    Route::resource('seller', 'SellerResourceController');
});

// Public routes for seller
Route::get('sellers/', 'SellerPublicController@index');
Route::get('sellers/{slug?}', 'SellerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SellerResourceController');
            });
            // Public routes for pages
            Route::get('sellers/', 'SellerPublicController@index');
            Route::get('sellers/{slug?}', 'SellerPublicController@show');
        }
    );
}


// web routes  for category
Route::prefix('{guard}/seller')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public routes for category
Route::get('sellers/', 'CategoryPublicController@index');
Route::get('sellers/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoryResourceController');
            });
            // Public routes for pages
            Route::get('sellers/', 'CategoryPublicController@index');
            Route::get('sellers/{slug?}', 'CategoryPublicController@show');
        }
    );
}

