<?php

namespace Shopping\Seller\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoryTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Seller\Models\Category $category)
    {
        return [
            'id'                => $category->getRouteKey(),
            'key'               => [
                'public'    => $category->getPublicKey(),
                'route'     => $category->getRouteKey(),
            ], 
            'user_id'           => $category->user_id,
            'parent_id'         => $category->parent_id,
            'name'              => $category->name,
            'slug'              => $category->slug,
            'tax'               => $category->tax,
            'meta_title'        => $category->meta_title,
            'meta_description'  => $category->meta_description,
            'meta_keyword'      => $category->meta_keyword,
            'image'             => $category->image,
            'order'             => $category->order,
            'title'             => $category->title,
            'description'       => $category->description,
            'upload_folder'     => $category->upload_folder,
            'deleted_at'        => $category->deleted_at,
            'url'               => [
                'public'    => trans_url('seller/'.$category->getPublicKey()),
                'user'      => guard_url('seller/category/'.$category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$category->status),
            'created_at'        => format_date($category->created_at),
            'updated_at'        => format_date($category->updated_at),
        ];
    }
}