<?php

namespace Shopping\Seller\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SellerTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Seller\Models\Seller $seller)
    {
        return [
            'id'                => $seller->getRouteKey(),
            'key'               => [
                'public'    => $seller->getPublicKey(),
                'route'     => $seller->getRouteKey(),
            ], 
            'name'              => $seller->name,
            'email'             => $seller->email,
            'password'          => $seller->password,
            'api_token'         => $seller->api_token,
            'remember_token'    => $seller->remember_token,
            'dob'               => $seller->dob,
            'designation'       => $seller->designation,
            'mobile'            => $seller->mobile,
            'photo'             => $seller->photo,
            'deleted_at'        => $seller->deleted_at,
            'slug'              => $seller->slug,
            'url'               => [
                'public'    => trans_url('seller/'.$seller->getPublicKey()),
                'user'      => guard_url('seller/seller/'.$seller->getRouteKey()),
            ], 
            'status'            => trans('app.'.$seller->status),
            'created_at'        => format_date($seller->created_at),
            'updated_at'        => format_date($seller->updated_at),
        ];
    }
}